{
  description = "NixOS configuration flake";

  inputs = {
    nixpkgs.url = "github:NixOS/nixpkgs/nixos-23.11";
  };

  outputs = { self, nixpkgs, ...}:
    let
      lib = nixpkgs.lib;
    in {
      nixosConfigurations = {
        lift = lib.nixosSystem {
          system = "x64_64-linux";
          modules = [ ./configuration.nix ];
        };
      };
    };
}
